#include <iostream>
#include <algorithm>
#include <ctime>
#include <vector>
#include <queue>
#include <cmath>

using namespace std;

long long *read(long long n) {
    long long *t = new long long[n];
    for (int i = 0; i < n; i++)
        scanf("%lld", t + i);
    return t;
}

bool x_less(const pair<int, double> &l, const pair<int, double> &r) { return l.second < r.second; }

int main() {
    int n;
    cin >> n;
    pair<int, double> *ap = new pair<int, double>[n];

    for (int i = 0; i < n; i++) {
        int a;
        double p;
        scanf("%d%lf", &a, &p);
        ap[i] = make_pair(a, p);
    }
    sort(ap, ap + n, [](const pair<int, double> &a, const pair<int, double> &b) {
        return a.second > b.second;
    });
    long long *s = new long long[n];
    s[0] = ap[0].first;
    for (int i = 1; i < n; i++)
        s[i] = s[i - 1] + ap[i].first;
    double m = 0;
    for (int i = 0; i < n; i++)
        m = max(m, (double) ap[i].second * s[i]);
    m/=100;
    printf("%lf", m);

    delete[] ap;
    delete[]s;
    return 0;
}